local gearT = {
    [-1] = "R",
    [0] = "N",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8"
    
}

local white = rgb(1,1,1)

function update(dt)
    display.text({ text = math.floor(car.speedKmh), pos = vec2(204.8, 1824.2), letter = vec2(55, 110), font = "fonts/hyperion", color = white, alignment =0.5, width = 251, spacing = 1})
    display.text({ text = string.format("%02.1f", car.distanceDrivenSessionKm/ 1.609344), pos = vec2(0, 0), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =1, width = 0, spacing = .01 })
    display.text({ text = gearT[car.gear], pos = vec2(607.9, 1820.6), letter = vec2(130,130), font = "fonts/aventador", color = white, alignment =0.5, width = 0, spacing = 1 })
    display.text({ text = string.format("%05d", car.distanceDrivenTotalKm), pos = vec2(139, 343), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%05.1f", car.waterTemperature), pos = vec2(360.3, 636.4), letter = vec2(25, 50), font = "fonts/hyperion", color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%02d:%02d", sim.timeHours, sim.timeMinutes), pos = vec2(0, 0), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%.1f", car.fuel), pos = vec2(0, 0), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
   end



  
   